package com.mx.cneeds.server.datashow.client;

import com.mx.cneeds.common.dto.JwtToken;
import com.mx.cneeds.common.dto.PageDto;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @ClassName UserClient
 * @Author zzrdark
 * @Date 2020-03-09 15:21
 * @Description TODO
 **/
@FeignClient(name = "CNEEDS-SERVER-USER")
public interface UserClient {

    @PostMapping("/sys/func/list")
    PageDto funcList(@RequestParam Integer page, @RequestParam("limit") Integer pageSize);
}
