package com.mx.cneeds.server.datashow.web.system;

import com.mx.cneeds.common.dto.PageDto;
import com.mx.cneeds.common.result.R;
import com.mx.cneeds.server.datashow.client.UserClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName SystemController
 * @Author zzrdark
 * @Date 2020-03-09 15:19
 * @Description TODO
 **/
@RestController
@Slf4j
@RequestMapping("/sys")
public class SystemController {

    @Autowired
    private UserClient userClient;

    @PostMapping("/module/list")
    public R funcList(@RequestParam Integer page, @RequestParam Integer pageSize){
        if (page==null && page==0){
            page = 1;
        }
        if (pageSize==null && pageSize==0){
            pageSize = 10;
        }

        PageDto pageDto = userClient.funcList(page,pageSize);

        return new R().put("data",pageDto);
    }

}
